Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.webcommon30
Interface OrderingOrderingType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  OrderingOrderingTypeImpl

    public interface OrderingOrderingType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `ordering-orderingType` xsd type

Original Documentation:

This element contains a sequence of "name" elements, each of
which
refers to an application configuration resource by the "name"
declared on its web.xml fragment. This element can also contain
a single "others" element which specifies that this document
comes
before or after other documents within the application.
See section 8.2.2 of the specification for details.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getNameList()` Returns all `name` elements
`java.lang.Boolean` | `isOthers()`
`OrderingOrderingType<T>` | `others()`
`OrderingOrderingType<T>` | `removeAllName()` Removes the `name` element
`OrderingOrderingType<T>` | `setName(java.lang.String name)` Creates a new `name` element
`OrderingOrderingType<T>` | `setNameList(java.lang.String... values)` Creates for all String objects representing `name` elements, a new `name` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setName

    OrderingOrderingType<T> setName(java.lang.String name)

  Creates a new `name` element

  Returns:
    the current instance of `OrderingOrderingType`

### setNameList

    OrderingOrderingType<T> setNameList(java.lang.String... values)

  Creates for all String objects representing `name` elements, a new `name` element

  Parameters:
    `list` - of `name` objects
  Returns:
    the current instance of `OrderingOrderingType`

### removeAllName

    OrderingOrderingType<T> removeAllName()

  Removes the `name` element

  Returns:
    the current instance of `OrderingOrderingType`

### getNameList

    java.util.List<java.lang.String> getNameList()

  Returns all `name` elements

  Returns:
    list of `name`

### others

    OrderingOrderingType<T> others()

### isOthers

    java.lang.Boolean isOthers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD